#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
     int n;

     cin>>n;

     double a[n];
     double p[n];

     cin>>a[0]>>p[0];

     double z[n], maxZbir;

     z[0]=a[0]*p[0]/100;
     maxZbir = z[0];

     for( int i=1; i<n; ++i )
     {
          cin>>a[i]>>p[i];
          z[i]=a[i]*p[i]/100;

          for(int j=0; j<i; ++j)
          {
               if(p[i]<=p[j])
               {
                    z[i]+=a[j]*p[i]/100;
               }

               if(p[i]>=p[j])
               {
                    z[j]+=a[i]*p[j]/100;
                    if(z[j]>maxZbir)
                         maxZbir=z[j];
               }

          }

          if(z[i]>maxZbir)
               maxZbir=z[i];

     }

     cout << fixed << showpoint << setprecision(4) << maxZbir << endl;
    return 0;
}